/**
 * description
 *
 * @author eson
 *2022年7月15日-10:04:00
 */
package com.yuandian.dataflow.statemachine.state;

import java.io.Serializable;
import java.time.Instant;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * WorkerState 每个节点进行任务操作的状态, 用于同步状态机
 *
 * @author eson
 *2022年7月15日-10:04:00
 */
@Getter
@Setter
@ToString
public class WorkerState implements Serializable {
 
    private static final long serialVersionUID = -1L;
 
    /**
     * 节点的对应peerID
     */
    public Peer peerId;
    /**
     * 任务队列的数量
     */
    public int taskQueueSize;
    /**
     * 更新时间 
     */
    public Instant updateAt;


    /**
     * 初始化 并构造 updateAt时间
     * @param peer 传入当前服务的peer
     */
    public WorkerState(Peer peer) {
        this.peerId = peer;
        this.updateAt = Instant.now();
    }

 
}
